<?php

require('conexion.php');
session_start();

$id_nota = $_SESSION['cveNota'];

//$zona_atencion = $_POST['zona_atencion'];
$no_mesa = $_POST['no_mesa'];
$no_personas = $_POST['no_personas'];
$hora_edt = $_POST['hora_edt'];
$total_descuento = $_POST['ntv_descuento'];


$subtotal=query("SELECT SUM(pdn_cantidad*pdn_precio) 'SUBTOTAL' FROM productos_nota WHERE id_nota_venta='$id_nota'");
$resultado1=mysqli_fetch_assoc($subtotal);

$subtotal = $resultado1['SUBTOTAL'];
$descuento = ($subtotal*$total_descuento)/100;
$total = $subtotal - $descuento;

if ($no_mesa ==0) {
    $zona_atencion = "Para llevar";
}else{
    $zona_atencion = "Venta en piso";
}


//$res = query("call sp_edit_nota('$id_nota','$zona_atencion','$no_mesa','$no_personas','$hora_edt','$subtotal','$total_descuento','$total','pendiente')");

$consulta = "INSERT INTO productos_nota (id,id_nota_venta, id_producto, pdn_cantidad, pdn_comensal, pdn_tiempo, pdn_precio, pdn_estatus, pdn_comentario, impreso, pdn_guardado, created_at, updated_at) VALUES ";

$valores = array();

if (isset($_POST['comensal_producto_1'])) {
    $con = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_NAME);
    foreach ($_POST as $key => $value) {
    
        if (substr($key, 0, 18) == "comensal_producto_") {
            $grupo = substr($key, 18);
            // Obtiene los valores correspondientes a cada campo y los agrega al array de valores
            $cantidad = $_POST['cantidad_producto_'.$grupo];
            $comentario = $_POST['comentario_producto_'.$grupo];
            $precio = $_POST['precio_producto_'.$grupo];
            $tiempo = $_POST['tiempo_producto_'.$grupo];
            $comensal = $_POST['comensal_producto_'.$grupo];
            $id_producto = $_POST['id_producto_'.$grupo];
            $valores[] = "(null,'$id_nota','$id_producto','$cantidad','$comensal','$tiempo','$precio','alto','$comentario',0,1,CURRENT_TIME(),CURRENT_TIME())";
            //echo  $cantidad_materia;
        }
        
    }
    // Agrega los valores al final de la consulta SQL
    $consulta .= implode(", ", $valores);
    $resultado = mysqli_query($con, $consulta);
    #$con->close();
}

    if (isset($_POST['prod_comensal_0'])) {
        foreach ($_POST as $key => $value) {
            if (substr($key, 0, 14) == "prod_comensal_") {
                // Obtiene el número de grupo a partir del nombre del input
                $grupo = substr($key, 14);
                // Obtiene los valores correspondientes a cada campo y los agrega al array de valores
                $comensal = $_POST['prod_comensal_'.$grupo];
                $cantidad = $_POST['prod_cantidad_'.$grupo];
                $comentario = $_POST['prod_comentario_'.$grupo];
                $precio = $_POST['prod_precio_'.$grupo];
                $tiempo = $_POST['prod_tiempo_'.$grupo];
                $id_producto = $_POST['prod_id_'.$grupo];
                $pdn_editar = query("UPDATE productos_nota SET pdn_comensal='$comensal', pdn_cantidad='$cantidad', pdn_tiempo='$tiempo', pdn_precio='$precio', pdn_comentario='$comentario' WHERE id='$id_producto'");
                
                //echo  $cantidad_materia;
            }
            
        }
    
        //echo  $cantidad_materia;
    }



?>